import HcTooltip from './hc-tooltip/index.vue'
import HcTipItem from './hc-tooltip/item.vue'
import HcChoiceUser from './choice-user/choice-user.vue'
import HcReportDialog from './hc-report/hc-report.vue'
import HcInfoTable from './info-table/info-table.vue'
import HcInfoTableTd from './info-table/info-table-td.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcTooltip', HcTooltip)
    App.component('HcTipItem', HcTipItem)
    App.component('HcChoiceUser', HcChoiceUser)
    App.component('HcReportDialog', HcReportDialog)
    App.component('HcInfoTable', HcInfoTable)
    App.component('HcInfoTableTd', HcInfoTableTd)
}
